# Asterisk Project : Asterisk 12 ManagerEvent_Hangup

Added by wikibot , edited by wikibot on Aug 29, 2013

# Hangup

### Synopsis

Raised when a channel is hung up.

### Description

### Syntax

    Action:
    Channel: <value>
    ChannelState: <value>
    ChannelStateDesc: <value>
    CallerIDNum: <value>
    CallerIDName: <value>
    ConnectedLineNum: <value>
    ConnectedLineName: <value>
    AccountCode: <value>
    Context: <value>
    Exten: <value>
    Priority: <value>
    Uniqueid: <value>
    Cause: <value>
    Cause-txt: <value>

##### Arguments

- `Channel`
- `ChannelState` - A numeric code for the channel's current state, related to ChannelStateDesc
- `ChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `CallerIDNum`
- `CallerIDName`
- `ConnectedLineNum`
- `ConnectedLineName`
- `AccountCode`
- `Context`
- `Exten`
- `Priority`
- `Uniqueid`
- `Cause` - A numeric cause code for why the channel was hung up.
- `Cause-txt` - A description of why the channel was hung up.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown